Bug 118582 - cdrecord usage help does not include atapi references
cdrecord usage help does not include atapi references
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: cdrtools (Show other bugs)
rawhide
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-17 16:55 EST by Jason Faulkner
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-21 09:21:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Faulkner 2004-03-17 16:55:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040115

Description of problem:
When running the cdrecord --help command, no reference is made to
ATAPI devices.

The help notes that the dev= command is for addressing SCSI devices,
but makes no mention of IDE.


Version-Release number of selected component (if applicable):
cdrecord-2.01-0.a25.2

How reproducible:
Always

Steps to Reproduce:
1. Run cdrecord -help
2. Read output.
3.
    

Actual Results:  Outputs (snip) dev=target      SCSI target to use as
CD/DVD-Recorder         (/snip)

Expected Results:  dev=target     SCSI or ATAPI target to use as
CD/DVD-Recorder.

Additional info:
Comment 1 Harald Hoyer 2004-04-21 09:21:08 EDT
[harald@jever gui]$ cdrecord -scanbus
Cdrecord-Clone 2.01a27-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
<warly@mandrakesoft.com>.
Note: The author of cdrecord should not be bothered with problems in
this version.
scsidev: 'ATA'
devname: 'ATA'
scsibus: -2 target: -2 lun: -2
Warning: Using badly designed ATAPI via /dev/hd* interface.
cdrecord: Permission denied. Cannot open '/dev/hda'. Cannot open SCSI
driver.
cdrecord: For possible targets try 'cdrecord -scanbus'. Make sure you
are root.
cdrecord: For possible transport specifiers try 'cdrecord dev=help'.

$ cdrecord dev=help
Cdrecord-Clone 2.01a27-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
<warly@mandrakesoft.com>.
Note: The author of cdrecord should not be bothered with problems in
this version.
Supported SCSI transports for this platform:

Transport name:         sg
Transport descr.:       Generic transport independent SCSI
Transp. layer ind.:
Target specifier:       bus,target,lun
Target example:         1,2,0
SCSI Bus scanning:      supported
Open via UNIX device:   not supported

Transport name:         pg
Transport descr.:       SCSI transport for ATAPI over Parallel Port
Transp. layer ind.:
Target specifier:       bus,target,lun
Target example:         1,2,0
SCSI Bus scanning:      supported
Open via UNIX device:   not supported

Transport name:         ATA
Transport descr.:       ATA Packet specific SCSI transport
Transp. layer ind.:     ATAPI:
Target specifier:       bus,target,lun
Target example:         ATAPI:1,2,0
SCSI Bus scanning:      supported
Open via UNIX device:   not supported

Transport name:         ATA
Transport descr.:       ATA Packet specific SCSI transport using sg
interface
Transp. layer ind.:     ATA:
Target specifier:       bus,target,lun
Target example:         1,2,0
SCSI Bus scanning:      supported
Open via UNIX device:   not supported

Transport name:         RSCSI
Transport descr.:       Remote SCSI
Transp. layer ind.:     REMOTE:
Target specifier:       rscsi@host:bus,target,lun
Target example:         REMOTE:rscsi@host:1,2,0
SCSI Bus scanning:      supported
Open via UNIX device:   not supported


Note You need to log in before you can comment on or make changes to this bug.